Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Plain View
Pig >> mail # user >> Trying to run Pig 0.11


+
Arun Ahuja 2013-03-28, 18:35
+
Prashant Kommireddi 2013-03-28, 18:45
Copy link to this message
-
Re: Trying to run Pig 0.11
If you are running 0.20.2, here's the release candidate that should work if
you want to try it:
http://people.apache.org/~billgraham/pig-0.11.1-candidate-0/

The vote on the RC closes EOD and if it passes the release will be out in
the next few days.
On Thu, Mar 28, 2013 at 11:45 AM, Prashant Kommireddi
<[EMAIL PROTECTED]>wrote:

> Hi Arun,
>
> Most certainly you are using hadoop 0.20.2? Unfortunately pig 0.11 had an
> incompatibility with commons-codec version used in hadoop 0.20.2. This has
> been fixed and a new release (0.11.1) will be coming out soon that
> addresses this.
>
> You can have a look at the fix here
> https://issues.apache.org/jira/browse/PIG-3194.
>
> Thanks,
> Prashant
>
> On Thu, Mar 28, 2013 at 11:35 AM, Arun Ahuja <[EMAIL PROTECTED]> wrote:
>
> > Downloaded pig from
> > http://download.nextag.com/apache/pig/pig-0.11.0/pig-0.11.0.tar.gz
> >
> > Running pig-0.11.0/bin/pig I see
> >
> > ERROR 2998: Unhandled internal error.
> >
> >
> org.apache.commons.codec.binary.Base64.encodeBase64URLSafeString([B)Ljava/lang/String;
> >
> > java.lang.NoSuchMethodError:
> >
> >
> org.apache.commons.codec.binary.Base64.encodeBase64URLSafeString([B)Ljava/lang/String;
> >         at
> >
> >
> org.apache.pig.impl.util.ObjectSerializer.encodeBytes(ObjectSerializer.java:65)
> >         at
> >
> >
> org.apache.pig.impl.util.ObjectSerializer.serialize(ObjectSerializer.java:46)
> >         at org.apache.pig.Main.run(Main.java:398)
> >         at org.apache.pig.Main.main(Main.java:157)
> >         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> >         at
> >
> >
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
> >         at
> >
> >
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
> >         at java.lang.reflect.Method.invoke(Method.java:597)
> >         at org.apache.hadoop.util.RunJar.main(RunJar.java:186)
> >
> > Any info available on this?  Java version issues perhaps, any other
> > dependencies?
> >
>

--
*Note that I'm no longer using my Yahoo! email address. Please email me at
[EMAIL PROTECTED] going forward.*
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB